Index Page xpose6_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void xpose6_c ( ConstSpiceDouble m1[6][6],  SpiceDouble mout[6][6] )

#### Abstract

       Transpose a 6x6 matrix.

#### Required_Reading

       None.

#### Keywords

       None.

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
        m1        I   6x6 matrix to be transposed.
        mout      O   Transpose of m1.  mout can overwrite m1.

#### Detailed_Input

        m1            This variable may contain any double precision 6x6
                      matrix.

#### Detailed_Output

        mout          This variable is a double precision, 6x6 matrix which
                      contains the transpose of m1.  mout may overwrite m1.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       This is a utility routine intended to facilitate passing state
       transformation matrices between C and Fortan.

#### Examples

       Given below is one example of a matrix m1 with the output matrix
       mout which is implied by m1.

               | 1  2  3  4  5  6  |                | 1  0  0  0  0  0 |
               | 0  7  8  9  10 11 |                | 2  7  0  0  0  0 |
               | 0  0  12 13 14 15 |                | 3  8  12 0  0  0 |
          m1=  | 0  0  0  16 17 18 |   then  mout = | 4  9  13 16 0  0 |
               | 0  0  0  0  19 20 |                | 5  10 14 17 19 0 |
               | 0  0  0  0  0  21 |                | 6  11 15 18 20 21|

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman       (JPL)
       W.L. Taber         (JPL)
       W.M. Owen          (JPL)

#### Version

       -CSPICE Version 1.0.3, 08-JAN-2014 (BVS)

          Corrected a minor typo in the header.

       -CSPICE Version 1.0.2, 16-JAN-2008   (EDW)

          Corrected typos in header titles:

          Detailed Input to Detailed_Input
          Detailed Output to Detailed_Output

       -CSPICE Version 1.0.1, 10-NOV-2006   (EDW)

          Added Keywords and Parameters section headers.
          Reordered section headers.

       -CSPICE Version 1.0.0, 16-APR-1999 (NJB)

#### Index_Entries

          transpose a 6x6_matrix

#### Link to routine xpose6_c source file xpose6_c.c

    Wed Apr  5 17:54:48 2017